#ifndef _NETFPGA_FREEBSD_H_
#define _NETFPGA_FREEBSD_H_

enum {
	NF2_REG_READ = 0x10,
	NF2_REG_WRITE
};

struct nf2_req {
	uint64_t offset;
	uint64_t value;
};
#define netfpga_req nf2_req

#define SIOCREGREAD	_IOWR('f', NF2_REG_READ, struct nf2_req)
#define SIOCREGWRITE	_IOWR('f', NF2_REG_WRITE, struct nf2_req)

#endif /* _NETFPGA_FREEBSD_H_ */
