#include <sys/types.h>
#include <sys/ioccom.h>

#include <assert.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <fcntl.h>
#include <string.h>

#include "../../include/nf2_common.h"
#include "../../include/nf2.h"
#include "../../include/netfpga_freebsd.h"

#include "netfpga.h"

netfpga_open_t nf2_linux_open;
netfpga_close_t nf2_linux_close;
netfpga_read_t nf2_linux_read;
netfpga_write_t nf2_linux_write;

void *
nf2_linux_open(struct netfpga *nf)
{

	(void)nf;
	return (NULL);
}

int
nf2_linux_close(struct netfpga *nf, void *ctx)
{

	(void)nf;
	(void)ctx;
	return (0);
}

int
nf2_linux_read(struct netfpga *nf, void *ctx, uint32_t reg, void *buf, size_t buf_len)
{

	(void)nf;
	(void)ctx;
	(void)reg;
	(void)buf;
	(void)buf_len;
	return (0);
}

int
nf2_linux_write(struct netfpga *nf, void *ctx, uint32_t reg, void *buf, size_t buf_len)
{

	(void)nf;
	(void)ctx;
	(void)reg;
	(void)buf;
	(void)buf_len;
	return (0);
}

struct netfpga_module nf2_linux = {
	.nf_version =	0,
	.nf_open =	nf2_linux_open,
	.nf_close = 	nf2_linux_close,
	.nf_read =	nf2_linux_read,
	.nf_write =	nf2_linux_write,
};
NETFPGA_MODULE(nf_linux);
